--[[  Copyright © 2015 Ysovuka/Kzisor  ]]

return {
  version = "1.1",
  luaversion = "5.1",
  tiledversion = "0.11.0",
  orientation = "orthogonal",
  width = 12,
  height = 12,
  tilewidth = 16,
  tileheight = 16,
  nextobjectid = 21,
  properties = {},
  tilesets = {
    {
      name = "Tiles",
      firstgid = 1,
      filename = "../../../exported/tiles.tsx",
      tilewidth = 64,
      tileheight = 64,
      spacing = 0,
      margin = 0,
      image = "../../../exported/tiles.png",
      imagewidth = 512,
      imageheight = 384,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {
        {
          name = "impassible",
          tile = -1,
          properties = {}
        },
        {
          name = "cobblestone",
          tile = -1,
          properties = {}
        },
        {
          name = "rock",
          tile = -1,
          properties = {}
        },
        {
          name = "dirt",
          tile = -1,
          properties = {}
        },
        {
          name = "savannah",
          tile = -1,
          properties = {}
        },
        {
          name = "grassy",
          tile = -1,
          properties = {}
        },
        {
          name = "forest",
          tile = -1,
          properties = {}
        },
        {
          name = "marsh",
          tile = -1,
          properties = {}
        },
        {
          name = "wooden flooring",
          tile = -1,
          properties = {}
        },
        {
          name = "carpet",
          tile = -1,
          properties = {}
        },
        {
          name = "checkerboard",
          tile = -1,
          properties = {}
        }
      },
      tiles = {
        {
          id = 0,
          terrain = { 0, 0, 0, 0 }
        },
        {
          id = 1,
          terrain = { 1, 1, 1, 1 }
        },
        {
          id = 2,
          terrain = { 2, 2, 2, 2 }
        },
        {
          id = 3,
          terrain = { 3, 3, 3, 3 }
        },
        {
          id = 4,
          terrain = { 4, 4, 4, 4 }
        },
        {
          id = 5,
          terrain = { 5, 5, 5, 5 }
        },
        {
          id = 6,
          terrain = { 6, 6, 6, 6 }
        },
        {
          id = 7,
          terrain = { 7, 7, 7, 7 }
        },
        {
          id = 8,
          terrain = { 8, 8, 8, 8 }
        },
        {
          id = 9,
          terrain = { 9, 9, 9, 9 }
        },
        {
          id = 10,
          terrain = { 10, 10, 10, 10 }
        }
      }
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "BG_TILES",
      x = 0,
      y = 0,
      width = 12,
      height = 12,
      visible = true,
      opacity = 1,
      properties = {},
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        6, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        6, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        6, 0, 0, 0, 6, 0, 0, 0, 6, 0, 0, 0
      }
    },
    {
      type = "objectgroup",
      name = "FG_OBJECTS",
      visible = true,
      opacity = 1,
      properties = {},
      objects = {
        {
          id = 6,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 143.00,
          y = 10.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 7,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 93.00,
          y = 10.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 14,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 43.00,
          y = 10.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 15,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 168.00,
          y = 182.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 17,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 167.00,
          y = 137.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 19,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 168.00,
          y = 89.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 21,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 168.00,
          y = 35.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 22,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 117.00,
          y = 184.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 23,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 66.00,
          y = 183.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 24,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 17.00,
          y = 182.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 25,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 19.00,
          y = 133.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 26,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 18.00,
          y = 89.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 27,
          name = "mimics",
          type = "mimic",
          shape = "rectangle",
          x = 18.00,
          y = 36.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 29,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 95.00,
          y = 71.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 30,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 69.00,
          y = 90.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 32,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 65.00,
          y = 124.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 33,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 92.00,
          y = 110.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 34,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 117.00,
          y = 88.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 37,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 70.00,
          y = 65.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 38,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 117.00,
          y = 134.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 40,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 112.00,
          y = 114.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 41,
          name = "berry",
          type = "berrybush",
          shape = "rectangle",
          x = 91.00,
          y = 134.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
      }
    }
  }
}
