--[[  Copyright © 2015 Ysovuka/Kzisor  ]]

return {
  version = "1.1",
  luaversion = "5.1",
  tiledversion = "0.11.0",
  orientation = "orthogonal",
  width = 20,
  height = 20,
  tilewidth = 16,
  tileheight = 16,
  nextobjectid = 21,
  properties = {},
  tilesets = {
    {
      name = "Tiles",
      firstgid = 1,
      filename = "../../../exported/tiles.tsx",
      tilewidth = 64,
      tileheight = 64,
      spacing = 0,
      margin = 0,
      image = "../../../exported/tiles.png",
      imagewidth = 512,
      imageheight = 384,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {
        {
          name = "impassible",
          tile = -1,
          properties = {}
        },
        {
          name = "cobblestone",
          tile = -1,
          properties = {}
        },
        {
          name = "rock",
          tile = -1,
          properties = {}
        },
        {
          name = "dirt",
          tile = -1,
          properties = {}
        },
        {
          name = "savannah",
          tile = -1,
          properties = {}
        },
        {
          name = "grassy",
          tile = -1,
          properties = {}
        },
        {
          name = "forest",
          tile = -1,
          properties = {}
        },
        {
          name = "marsh",
          tile = -1,
          properties = {}
        },
        {
          name = "wooden flooring",
          tile = -1,
          properties = {}
        },
        {
          name = "carpet",
          tile = -1,
          properties = {}
        },
        {
          name = "checkerboard",
          tile = -1,
          properties = {}
        }
      },
      tiles = {
        {
          id = 0,
          terrain = { 0, 0, 0, 0 }
        },
        {
          id = 1,
          terrain = { 1, 1, 1, 1 }
        },
        {
          id = 2,
          terrain = { 2, 2, 2, 2 }
        },
        {
          id = 3,
          terrain = { 3, 3, 3, 3 }
        },
        {
          id = 4,
          terrain = { 4, 4, 4, 4 }
        },
        {
          id = 5,
          terrain = { 5, 5, 5, 5 }
        },
        {
          id = 6,
          terrain = { 6, 6, 6, 6 }
        },
        {
          id = 7,
          terrain = { 7, 7, 7, 7 }
        },
        {
          id = 8,
          terrain = { 8, 8, 8, 8 }
        },
        {
          id = 9,
          terrain = { 9, 9, 9, 9 }
        },
        {
          id = 10,
          terrain = { 10, 10, 10, 10 }
        }
      }
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "BG_TILES",
      x = 0,
      y = 0,
      width = 20,
      height = 20,
      visible = true,
      opacity = 1,
      properties = {},
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        14, 0, 0, 0, 2, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 2, 0, 0, 0, 14, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0, 14, 0, 0, 0
      }
    },
    {
      type = "objectgroup",
      name = "FG_OBJECTS",
      visible = true,
      opacity = 1,
      properties = {},
      objects = {
        {
          id = 1,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 263.00,
          y = 36.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 2,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 191.00,
          y = 35.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 3,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 62.00,
          y = 252.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 4,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 125.00,
          y = 253.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 5,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 283.00,
          y = 208.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 6,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 139.00,
          y = 108.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 7,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 93.00,
          y = 211.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 8,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 167.00,
          y = 203.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 9,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 27.00,
          y = 208.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 10,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 41.00,
          y = 100.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 11,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 215.00,
          y = 102.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 12,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 300.00,
          y = 104.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 14,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 172.00,
          y = 266.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 15,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 198.00,
          y = 267.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 16,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 222.00,
          y = 269.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 17,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 75.00,
          y = 43.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 18,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 87.00,
          y = 45.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 19,
          name = "lil",
          type = "fungusgreenhouse",
          shape = "rectangle",
          x = 108.00,
          y = 45.00,
          width = 10.0,
          height = 10.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
      }
    }
  }
}
