--[[  Copyright © 2015 Ysovuka/Kzisor  ]]

return {
  version = "1.1",
  luaversion = "5.1",
  tiledversion = "0.11.0",
  orientation = "orthogonal",
  width = 24,
  height = 24,
  tilewidth = 16,
  tileheight = 16,
  nextobjectid = 21,
  properties = {},
  tilesets = {
    {
      name = "Tiles",
      firstgid = 1,
      filename = "../../../exported/tiles.tsx",
      tilewidth = 64,
      tileheight = 64,
      spacing = 0,
      margin = 0,
      image = "../../../exported/tiles.png",
      imagewidth = 512,
      imageheight = 384,
      tileoffset = {
        x = 0,
        y = 0
      },
      properties = {},
      terrains = {
        {
          name = "impassible",
          tile = -1,
          properties = {}
        },
        {
          name = "cobblestone",
          tile = -1,
          properties = {}
        },
        {
          name = "rock",
          tile = -1,
          properties = {}
        },
        {
          name = "dirt",
          tile = -1,
          properties = {}
        },
        {
          name = "savannah",
          tile = -1,
          properties = {}
        },
        {
          name = "grassy",
          tile = -1,
          properties = {}
        },
        {
          name = "forest",
          tile = -1,
          properties = {}
        },
        {
          name = "marsh",
          tile = -1,
          properties = {}
        },
        {
          name = "wooden flooring",
          tile = -1,
          properties = {}
        },
        {
          name = "carpet",
          tile = -1,
          properties = {}
        },
        {
          name = "checkerboard",
          tile = -1,
          properties = {}
        }
      },
      tiles = {
        {
          id = 0,
          terrain = { 0, 0, 0, 0 }
        },
        {
          id = 1,
          terrain = { 1, 1, 1, 1 }
        },
        {
          id = 2,
          terrain = { 2, 2, 2, 2 }
        },
        {
          id = 3,
          terrain = { 3, 3, 3, 3 }
        },
        {
          id = 4,
          terrain = { 4, 4, 4, 4 }
        },
        {
          id = 5,
          terrain = { 5, 5, 5, 5 }
        },
        {
          id = 6,
          terrain = { 6, 6, 6, 6 }
        },
        {
          id = 7,
          terrain = { 7, 7, 7, 7 }
        },
        {
          id = 8,
          terrain = { 8, 8, 8, 8 }
        },
        {
          id = 9,
          terrain = { 9, 9, 9, 9 }
        },
        {
          id = 10,
          terrain = { 10, 10, 10, 10 }
        }
      }
    }
  },
  layers = {
    {
      type = "tilelayer",
      name = "BG_TILES",
      x = 0,
      y = 0,
      width = 24,
      height = 24,
      visible = true,
      opacity = 1,
      properties = {},
      encoding = "lua",
      data = {
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        7, 0, 0, 0, 9, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 9, 0, 0, 0, 7, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        9, 0, 0, 0, 9, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 9, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        2, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 2, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        9, 0, 0, 0, 9, 0, 0, 0, 10, 0, 0, 0, 10, 0, 0, 0, 9, 0, 0, 0, 9, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
        7, 0, 0, 0, 9, 0, 0, 0, 2, 0, 0, 0, 2, 0, 0, 0, 9, 0, 0, 0, 7, 0, 0, 0
      }
    },
    {
      type = "objectgroup",
      name = "FG_OBJECTS",
      visible = true,
      opacity = 1,
      properties = {},
      objects = {
        {
          id = 1,
          name = "ou",
          type = "evilpuppet",
          shape = "rectangle",
          x = 137.00,
          y = 243.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 2,
          name = "ou",
          type = "evilpuppet",
          shape = "rectangle",
          x = 135.00,
          y = 134.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 3,
          name = "ou",
          type = "puppeteer",
          shape = "rectangle",
          x = 192.00,
          y = 192.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 4,
          name = "ou",
          type = "evilpuppet",
          shape = "rectangle",
          x = 253.00,
          y = 130.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
        {
          id = 5,
          name = "ou",
          type = "evilpuppet",
          shape = "rectangle",
          x = 248.00,
          y = 249.00,
          width = 5.0,
          height = 5.0,
          rotation = 0,
          visible = true,
          properties = {}
        },
      }
    }
  }
}
