--- Tracks the herd that the object belongs to, and creates one if missing
local Herd2Member = Class(function(self, inst)
    self.inst = inst
    self.herd2 = nil
    self.herd2prefab = "owlckenherd"
    
    self.inst:DoTaskInTime(5, function() self:CreateHerd2() end)
end)

function Herd2Member:SetHerd2(herd2)
    self.herd2 = herd2
end

function Herd2Member:SetHerd2Prefab(prefab)
    self.herd2prefab = prefab
end

function Herd2Member:GetHerd2()
    return self.herd2
end

function Herd2Member:CreateHerd2()
    if not self.herd2 then
        local herd2 = SpawnPrefab(self.herd2prefab)
        if herd2 then
            herd2.Transform:SetPosition(self.inst.Transform:GetWorldPosition() )
            if herd2.components.herd2 then
                herd2.components.herd2:GatherNearbyMembers()
            end
        end
    end
end



return Herd2Member