local assets=
{
    Asset("ANIM", "anim/gross.zip"),
    Asset("ATLAS", "images/inventoryimages/gross.xml"),
    Asset("IMAGE", "images/inventoryimages/gross.tex"),
}


local function fn(Sim)
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("gross")
    anim:SetBuild("gross")
    anim:PlayAnimation("idle")

    inst:AddComponent("fertilizer")
    inst.components.fertilizer.fertilizervalue = TUNING.SPOILEDFOOD_FERTILIZE+TUNING.POOP_FERTILIZE
    inst.components.fertilizer.soil_cycles = TUNING.SPOILEDFOOD_SOILCYCLES+TUNING.POOP_SOILCYCLES
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/gross.xml"
        


    inst:AddTag("gross")

    inst:AddComponent("tradable")
    
    inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM

inst:AddComponent("fuel")
    inst.components.fuel.fuelvalue = TUNING.SMALL_FUEL+TUNING.MED_FUEL
    MakeSmallBurnable(inst, TUNING.SMALL_BURNTIME+TUNING.MED_BURNTIME)
    MakeSmallPropagator(inst)
    
 return inst

end


return Prefab( "gross", fn, assets) 